
%define major 0

Summary:	Middleware for the Belgium eID card
Summary(de):	Middleware für die belgische eID Karte
Name:		eid-mw
Version:	5.1.8
Release:	%mkrel 5
License:	LGPL v3
Group:		Communications
URL:		http://eid.belgium.be/nl/je_eid_gebruiken/de_eid-middleware_installeren/linux/
Source0: eid-mw-%{version}-v%{version}mw.tar.gz
Source1: libexec.tar.gz
Source2: eid-viewer.desktop
Source3: mutse.jpg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#----------------------------------------
BuildRequires: 	libpcsclite-devel
BuildRequires: 	gtk+3-devel
BuildRequires:	libpthread-stubs
BuildRequires:	p11-kit-devel
BuildRequires:	openssl-devel
BuildRequires:	libxml2-devel
BuildRequires:	curl-devel
BuildRequires:	libproxy-devel
BuildRequires: lib64bsd-devel
BuildRequires: lib64pcsclite-devel
BuildRequires:	wayland-protocols-devel
BuildRequires:	libtool
BuildRequires: autoconf-archive
#----------------------------------------
Requires:	pcsc-lite
Requires:	ccid
Requires:   acsccid
Requires:   pcsc-tools
Requires:   acr38u
Requires:   pinentry
Requires:   pinentry-qt5
Obsoletes: 	%name < %version


%description
eID-Middleware is the official middleware for the usage of the Belgium eID Card.

#german
%description -l de
eID-Middleware ist die offizielle Middleware für die Nutzung der 
belgischen eID Karte.

%package -n eid-viewer
Summary:	eid-viewer enables you to inspect your Belgium eID card
Summary(de):	eid-viewer erlaubt es ihnen Ihre belgische eID Karte zu inspizieren.
Group:		Communications
Requires: eid-mw

%description -n eid-viewer
eID-Viewer is a graphical interface to the Belgian Electronic Identity Card
use it to view, print, save data from the Belgian electronic identity card.

%description -n eid-viewer -l de
eID-Viewer ist eine grafische Schnittstelle zur belgischen elektronischen 
Identitäskarte, nutzen Sie diese um Daten von der Karte anzusehen, zu drucken 
oder zu speichern.

%prep
%setup -qn eid-mw-%{version}-v%{version}mw

%build
 %configure2_5x --enable-p11v220 --enable-webextension
%make_build

%install
rm -rf %buildroot
%make_install

# remove static libraries
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a

# remove devel lib i think it is not needed
rm -f %{buildroot}%{_libdir}/*.so

# remove devel headers
rm -rf %{buildroot}/%{_includedir}
rm -rf %{buildroot}/%{_libdir}/pkgconfig

install -D -m 755 plugins_tools/xpi/signed-build/belgium_eid-1.0.32.xpi %{buildroot}%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be.xpi

install -D -m 755 plugins_tools/xpi/signed-build/eid_belgie-1.0.23.xpi %{buildroot}%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/eid_belgie@eid.belgium.be.xpi

mkdir -p %buildroot/usr/libexec
tar xf %SOURCE1 -C %buildroot/usr/libexec

mkdir -p %buildroot/etc/pki/tls/rootcerts
install -m 0644 plugins_tools/eid-viewer/certs/belgiumrca2.pem %buildroot/etc/pki/tls/rootcerts/belgiumrca2.pem
install -m 0644 plugins_tools/eid-viewer/certs/belgiumrca3.pem %buildroot/etc/pki/tls/rootcerts/belgiumrca3.pem
install -m 0644 plugins_tools/eid-viewer/certs/belgiumrca4.pem %buildroot/etc/pki/tls/rootcerts/belgiumrca4.pem
install -m 0644 plugins_tools/eid-viewer/certs/belgiumrca6.pem %buildroot/etc/pki/tls/rootcerts/belgiumrca6.pem

install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/eid-viewer.desktop
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE3 %buildroot/%{_datadir}/pixmaps/mutse.jpg

%clean
rm -rf %buildroot

%post -n eid-viewer
%update_menus
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun -n eid-viewer
%clean_menus
glib-compile-schemas /usr/share/glib-2.0/schemas

%files
%defattr(-,root,root,-)
%{_prefix}/libexec/*
%{_sysconfdir}/xdg/autostart/beid-update-nssdb.desktop
%{_bindir}/about-eid-mw
%{_bindir}/beid-update-nssdb
%{_prefix}/lib/mozilla/pkcs11-modules/beidpkcs11.json
%{_prefix}/lib/mozilla/pkcs11-modules/beidpkcs11_alt.json
%{_prefix}/lib/mozilla/managed-storage/belgiumeid@eid.belgium.be.json
%{_datadir}/locale
%{_datadir}/eid-mw/eidv4.xsd
%{_datadir}/eid-mw/trustdir/*.0
%{_datadir}/eid-mw/trustdir/*.pem
%{_datadir}/mozilla/extensions/*/belgiumeid@eid.belgium.be.xpi
%{_datadir}/mozilla/extensions/*/eid_belgie@eid.belgium.be.xpi
%{_datadir}/p11-kit/modules/beid.module
%{_datadir}/metainfo/be.belgium.eid.eidmw.metainfo.xml
%{_libdir}/libbeidpkcs11.so.*
%{_libdir}/pkcs11/beidpkcs11.so


%files -n eid-viewer
%defattr(-,root,root,-)
%{_bindir}/eid-viewer
%{_datadir}/applications/eid-viewer.desktop
%{_datadir}/glib-2.0/schemas/eid-viewer.gschema.xml
%{_iconsdir}/hicolor/*/apps/eid-viewer.png
%{_datadir}/locale/*/LC_MESSAGES/eid-viewer.mo
%{_datadir}/metainfo/eid-viewer.appdata.xml
%{_libdir}/libeidviewer.so.*
%{_sysconfdir}/pki/tls/rootcerts/*.pem
%{_datadir}/pixmaps/mutse.jpg


%changelog
* Thu Aug 03 2023 tex - 5.1.8-5pclos2023
- fix icon in menu
